import 'package:flutter_dotenv/flutter_dotenv.dart';

const bool isProduction = bool.fromEnvironment('dart.vm.product');

class Config{
  static String? get prdUrl{
    return dotenv.env['PRD_URL'];
  }
  static String? get devUrl{
    return dotenv.env['DEV_URL'];
  }
  static String? get appName{
    return dotenv.env['APP_NAME'];
  }
  static String? get socketUrl{
    return dotenv.env['SOCKET_URL'];
  }
  static String? get endPoint{
    return isProduction ? dotenv.env['PRD_URL'] : dotenv.env['DEV_URL'];
  }
  static String? get googleMapApiKey{
    // Kemal key
    return 'AIzaSyCN2_j8jCyXLj3pwYafWmE973zOna9v7V0';
    // return 'AIzaSyDc_L7NVu5cmm4VIbMsDfRN2ijeqsXBukQ';
    // dotenv.env['GOOGLE_MAP_API_KEY'];
  }
  static String? get apiVersion{
    return dotenv.env['API_VERSION'];
  }
  static String? get baseApi{
    return '$endPoint${Config.apiVersion}';
  }
}